petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscOptionsMonitorDefault

Print all options set value events.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsMonitorDefault(const char name[],const char value[],void *ctx)

Logically Collective on ctx

### Input Parameters

| name | - option name string
| value | - option value string
| ctx | - an ASCII viewer

### Notes

The first MPI rank in the PetscViewer viewer actually prints the values, other processes may have different values set

### See Also

PetscOptionsMonitorSet()

### Level

intermediate

### Location

src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages